
Smart Proxy - Feature #9709

allow the bmc module to log all impi calls

03/10/2015 05:44 PM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee: Corey Osman   

Category: BMC   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/264

  

Description

Rubyipmi 0.9.0 has a new feature to either log all impi commands or pass in a logger object for rubyipmi to send logs to.  This would

be a great addition to troubleshooting errors with rubyipmi.

Associated revisions

Revision 369793b5 - 03/20/2015 07:15 AM - Corey Osman

Fixes #9709 - allow the bmc module to log all impi calls

updates rubyipmi to use version 0.9.0 or later as its now required

Revision 0d70f58c - 03/20/2015 07:15 AM - Corey Osman

Fixes #9709 - allow the bmc module to log all impi calls

previously when IPMI errors occured at the Rubyipmi or CLI level

there was no good way to troubleshoot the issue.  With this addition

we can now watch an erorrs Rubyipmi spits out by sending Rubyipmi

a custom logger.

History

#1 - 03/10/2015 07:27 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/263 added

- Pull request deleted ()

#2 - 03/20/2015 07:26 AM - Dominic Cleal

- translation missing: en.field_release set to 35

- Pull request https://github.com/theforeman/smart-proxy/pull/264 added

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/263)

#3 - 03/20/2015 08:01 AM - Corey Osman

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 369793b5c2ae2079e9de0b02c85091c5b7772d51.
